% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/VerticalClasses.R
\docType{class}
\name{Vertical-Classes}
\alias{Vertical-Classes}
\alias{VertBargBertLogit}
\alias{VertBarg2ndLogit}
\alias{VertBargBertLogit-class}
\alias{VertBarg2ndLogit-class}
\title{\dQuote{Vertical} Classes}
\description{
The \dQuote{Vertical} classes arebuilding blocks used to create other classes
in this package. As such, it is most likely to be useful for developers
who wish to code their own calibration/simulation routines.

The \dQuote{VertBargBertLogit} class has the information for a Vertical Supply Chain with Logit demand and a downstream Nash-Bertrand Pricing game.

The \dQuote{VertBarg2ndLogit} class has the information fora Vertical Supply Chain with Logit demand and a downstream 2nd Score Auction.

Let k denote the number of products produced by all firms below.
}
\section{Slots}{

\describe{
\item{\code{bargpower}}{A length k vector of calibrated Vertical power parameters.}

\item{\code{prices}}{A length k vector of of observes prices.}

\item{\code{margins}}{A length k vector of of observes margins.}
}}

\author{
Charles Taragin \email{ctaragin@ftc.gov}
}
\keyword{classes}
